/*
  Name: tabellone.h
  Copyright: GPL
  Author: Alessandro Bugatti
  Date: 12/10/07 22.30
  Last change: 22/10/07 22.31
  Description: Classe per gestire il tabellone di una partita di tennis
*/

#ifndef TABELLONE_H
#define TABELLONE_H

#include <string>

using namespace std;

/*
 * Tabellone con i punteggi di due squadre
 */
class Tabellone
{

	public:
		// class constructor
		Tabellone();
		// Stampa a video il risultato
		void visualizza();
		// Azzera il punteggio
		void azzera();
		// Incrementa di uno il punteggio del giocatore i
		void incrementaGiocatore(int i);
		//Inserisce i nomi dei giocatori
        void setNomeGiocatore (const string& g, int n);
	private:
		// Punteggio del giocatore 1
		int punteggio[2];
		// Nomi dei gioatori
		string giocatore[2];
};

#endif // TABELLONE_H
