/*
  Name: main.cpp
  Copyright: GPL
  Author: Alessandro Bugatti
  Date: 12/10/07 22.30
  Last change: 22/10/07 22.31
  Description: Programma per testare il funzionamento della classe Tabellone
  per gestire una partita di tennis
*/

#include <cstdlib>
#include <iostream>
#include "tabellone.h"

using namespace std;

void menu()
{
     cout << "a - Azzera" << endl;
     cout << "1 - Punto al giocatore 1" << endl;
     cout << "2 - Punto al giocatore 2" << endl;
     cout << "e - Esci" << endl;
}

int main(int argc, char *argv[])
{
    Tabellone punteggio;
    char scelta;
    punteggio.setNomeGiocatore("Adriano Panatta",0);
    punteggio.setNomeGiocatore("Bjon Borg",1);
    punteggio.visualizza();
    menu();
    cin >> scelta;
    do
    {
        switch(scelta)
        {
            case 'a' : punteggio.azzera();
                break;
            case '1' : punteggio.incrementaGiocatore(0);
                break;
            case '2' : punteggio.incrementaGiocatore(1);
                break;
            case 'e' : exit(0);
                break;
        }
       punteggio.visualizza();
       menu();
       cin >> scelta;
    }while(scelta!='e');
    return EXIT_SUCCESS;
}
